module.exports = function (grunt) {
    grunt.initConfig({
        zhIdGenerator: {
            options: {
                jsonPath: ['../'],
                menuPath: ["../menu.json"],
                replaceIds: false
            }
        },
        buildEnvironment: {
            development: {
                configFile: "../backend/config/environment/devEnvironment.json"
            },
            production: {
                configFile: "../backend/config/environment/prodEnvironment.json"
            },
            test: {
                configFile: "../backend/config/environment/testEnvironment.json"
            },
            srcFolders: ["../backend/config/", "../backend/query/"]
        },
    });

    grunt.loadNpmTasks('grunt-zh-environment-builder');
    grunt.loadNpmTasks('grunt-zh-id-generator');

    grunt.registerTask('default', ['buildEnvironment', 'zhIdGenerator']);
};
